Bug 426798

Summary: gnome-terminal only highlights http://... to the end of the line
Product: [Fedora] Fedora Reporter: Rick Richardson <rickrich>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: christos, cra, fabrice
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:02:08 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
screenshot showing 2.14.2 versus 2.18.3 none

Description Rick Richardson 2007-12-26 10:45:05 EST
gnome-terminal version 2.18.3 only highlights http://... to the end of the line.

Two or more lines don't get highlighted. e.g.

http://www.geocaching.com/seek/cache_details.aspx?guid=dff716e9-745d-4ae0-9cf3-1
6c4293c7630

on an 80 character display.  Only the first line is highlighted.

This used to work on gnome-terminal 2.14.2.
Comment 1 Rick Richardson 2007-12-26 10:45:06 EST
Created attachment 290409 [details]
screenshot showing 2.14.2 versus 2.18.3
Comment 2 Fabrice Bellet 2009-01-28 04:42:56 EST
Hi!

I confirm this problem with F10 fully updated.

gnome-terminal-2.24.2-3.fc10
vte-0.17.4-1.fc10
Comment 3 Christos Papadopoulos 2009-04-27 10:40:37 EDT
Hi, is anyone looking at this bug? It is very annoying. It started with url detection not working if you ssh into another machine (Fedora 8), and now it does not work for terminals running on the same machine (Fedora 10). Why the regression? Someone *please* fix this.
Comment 4 Christos Papadopoulos 2009-04-27 17:42:06 EDT
I think I have a bit more insight: URLs in vim seem to be detected correctly. Also, when pasting the URL on the command line, detection works. The problem seems to appear when using "less". I experimented with the settings and I found that if I invoke less -r (or just give the -r option while viewing a file) then URL detection works. The flag -r causes raw character display.

URL detection over multiple lines still does not work through ssh, even with the -r option.
Comment 5 Bug Zapper 2009-11-18 05:09:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:02:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.